[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.AssignTo

Copies property values from the class instance to the specified persistent object.

## Declaration

Source position: menus.pp line 397

`protected procedure TMenu.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Persistent object where the property values are stored.

## Description

AssignTo is an overridden method in TMenu which re-implements the method from the ancestor class. AssignTo copies property values from the current class instance to the persistent object in the Dest argument.

When Dest is a TMenu instance, an implementation routine is called to copy the property value. If Dest is not derived from TMenu (or Nil), the inherited method (which raises an EConvertError exception) is called.

## See also

TPersistent.Assign